ApiAdhocSnapshot (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiAdhocSnapshot

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiAdhocSnapshot

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiAdhocSnapshot
      extends Object

  An adhoc snapshot descriptor.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiAdhocSnapshot()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `ApiAdhocHBaseSnapshot` | `getHbaseSnapshot()` Get hbaseSnapshot
    `String` | `getSnapshotName()` Snapshot name.
    `int` | `hashCode()`
    `ApiAdhocSnapshot` | `hbaseSnapshot(ApiAdhocHBaseSnapshot hbaseSnapshot)`
    `void` | `setHbaseSnapshot(ApiAdhocHBaseSnapshot hbaseSnapshot)`
    `void` | `setSnapshotName(String snapshotName)`
    `ApiAdhocSnapshot` | `snapshotName(String snapshotName)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiAdhocSnapshot

          public ApiAdhocSnapshot()

  - ### Method Detail

    - #### snapshotName

          public ApiAdhocSnapshot snapshotName(String snapshotName)

    - #### getSnapshotName

          public String getSnapshotName()

      Snapshot name.
      Returns:
        snapshotName

    - #### setSnapshotName

          public void setSnapshotName(String snapshotName)

    - #### hbaseSnapshot

          public ApiAdhocSnapshot hbaseSnapshot(ApiAdhocHBaseSnapshot hbaseSnapshot)

    - #### getHbaseSnapshot

          public ApiAdhocHBaseSnapshot getHbaseSnapshot()

      Get hbaseSnapshot
      Returns:
        hbaseSnapshot

    - #### setHbaseSnapshot

          public void setHbaseSnapshot(ApiAdhocHBaseSnapshot hbaseSnapshot)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.